Subject: Re: [PATCH 0/3] cpu: idle state framework for offline CPUs.

From: Peter Zijlstra <[email-masked]>
Date: Thu, 06 Aug 2009 17:13:42 +0200

On Thu, 2009-08-06 at 17:03 +0200, Peter Zijlstra wrote:
> On Thu, 2009-08-06 at 10:03 +0530, Vaidyanathan Srinivasan wrote:
> > This was the
> > main objection to Venki's deepest sleep state for offline cpus patch.
> 
> Well, my main objection was that is was a single raw function pointer
> without any management layer around it.
> 
> We have the exact same mess with the idle routine - and that has bitten
> us in the past.

That said, I still think it makes sense to share this with the idle
routine, we can make some callbacks unsuitable for hot-unplug just fine.